Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Slot3< R, P1, P2, P3 > Class Template Reference

Base class template for slots passing three arguments of type P1, P2 and P3, and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::Slot3< R, P1, P2, P3 >:

List of all members.

## Public Member Functions

- virtual R call (P1 p1, P2 p2, P3 p3) const=0
    Calls the signal handler connected to this slot.
- R operator() (P1 p1, P2 p2, P3 p3) const
    Function operator; Calls call().

## Protected Member Functions

- Slot3 ()
    Constructor.

## Detailed Description

### template<typename R, typename P1, typename P2, typename P3>
class Inti::Slot3< R, P1, P2, P3 >

Base class template for slots passing three arguments of type P1, P2 and P3, and returning a value of type R.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer